fcf.module({
  name: "templates/pages/base.wrapper.js",
  dependencies: ["fcf:NClient/Wrapper.js", "fcfSimpleAuthorization:Client.js"],
  module: function(Wrapper, authClient){
    return class BaseWrapper extends Wrapper{
      
      constructor(a_initializeOptions){
        super(a_initializeOptions);
      }

      onSingin() {
        authClient.createSingInDialog();
      }

      onLogout() {
        authClient.logout();
      }

      onRegistration() {
        authClient.createRegistrationDialog();
      }

      onClickTest(){
        alert("A");
      }
    };
  }
});
